﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Navigation;
using TreeViewLoadonDemandRIAServices.Web;
using Telerik.Windows.Controls;

namespace TreeViewLoadonDemandRIAServices.Views
{
	public partial class TileViewPage : Page
	{
		NorthwindDomainContext context = new NorthwindDomainContext();
		public TileViewPage()
		{
			InitializeComponent();
			this.Loaded += new RoutedEventHandler(PanelBarPage_Loaded);
		}

		void PanelBarPage_Loaded(object sender, RoutedEventArgs e)
		{
			this.myTileView.ItemsSource = context.Customers;
			context.Load(context.GetCustomersQuery());

			//foreach (RadTileViewItem item in myTileView.Items)
			//{
			//    if (item.DataContext as Customer != null && (item.DataContext as Customer).Orders.Count == 0)
			//    {
			//        context.Load(context.GetCustomerOrdersQuery((item.DataContext as Customer).CustomerID));
			//    }
			//}
		}

		// Executes when the user navigates to this page.
		protected override void OnNavigatedTo(NavigationEventArgs e)
		{
		}

		private void myTileView_TileStateChanged(object sender, Telerik.Windows.RadRoutedEventArgs e)
		{
			RadTileViewItem item = e.Source as RadTileViewItem;

			if (item != null)
			{
				IList<RadFluidContentControl> mylist = item.ChildrenOfType<RadFluidContentControl>();
				if (mylist.Count > 0 && mylist[0] != null)
				{
					RadFluidContentControl contentControl = mylist[0];
					switch (item.TileState)
					{
						case TileViewItemState.Maximized:
							contentControl.State = FluidContentControlState.Large;
							break;
						case TileViewItemState.Minimized:
							contentControl.State = FluidContentControlState.Small;
							break;
						case TileViewItemState.Restored:
							contentControl.State = FluidContentControlState.Normal;
							break;
					}
				}
			}

		}
	}
}
